# DataExchange
TKSTEP209
StepElement

# StepElement_Array1OfMeasureOrUnspecifiedValue Class Reference

`#include <StepElement_Array1OfMeasureOrUnspecifiedValue.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepElement_Array1OfMeasureOrUnspecifiedValue (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | StepElement_Array1OfMeasureOrUnspecifiedValue (const StepElement_MeasureOrUnspecifiedValue &Item, const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT void | Init (const StepElement_MeasureOrUnspecifiedValue &V)
Standard_EXPORT void | Destroy ()
| ~StepElement_Array1OfMeasureOrUnspecifiedValue ()
Standard_Boolean | IsAllocated () const
Standard_EXPORT const StepElement_Array1OfMeasureOrUnspecifiedValue & | Assign (const StepElement_Array1OfMeasureOrUnspecifiedValue &Other)
const StepElement_Array1OfMeasureOrUnspecifiedValue & | operator= (const StepElement_Array1OfMeasureOrUnspecifiedValue &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const StepElement_MeasureOrUnspecifiedValue &Value)
const StepElement_MeasureOrUnspecifiedValue & | Value (const Standard_Integer Index) const
const StepElement_MeasureOrUnspecifiedValue & | operator() (const Standard_Integer Index) const
StepElement_MeasureOrUnspecifiedValue & | ChangeValue (const Standard_Integer Index)
StepElement_MeasureOrUnspecifiedValue & | operator() (const Standard_Integer Index)

## Private Member Functions

Standard_EXPORT | StepElement_Array1OfMeasureOrUnspecifiedValue (const StepElement_Array1OfMeasureOrUnspecifiedValue &AnArray)

## Private Attributes

Standard_Integer | myLowerBound
Standard_Integer | myUpperBound
Standard_Address | myStart
Standard_Boolean | isAllocated

## Constructor & Destructor Documentation

Standard_EXPORT StepElement_Array1OfMeasureOrUnspecifiedValue::StepElement_Array1OfMeasureOrUnspecifiedValue | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT StepElement_Array1OfMeasureOrUnspecifiedValue::StepElement_Array1OfMeasureOrUnspecifiedValue | ( | const StepElement_MeasureOrUnspecifiedValue & | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

StepElement_Array1OfMeasureOrUnspecifiedValue::~StepElement_Array1OfMeasureOrUnspecifiedValue | ( |  | ) | `[inline]`

Standard_EXPORT StepElement_Array1OfMeasureOrUnspecifiedValue::StepElement_Array1OfMeasureOrUnspecifiedValue | ( | const StepElement_Array1OfMeasureOrUnspecifiedValue & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const StepElement_Array1OfMeasureOrUnspecifiedValue& StepElement_Array1OfMeasureOrUnspecifiedValue::Assign | ( | const StepElement_Array1OfMeasureOrUnspecifiedValue & | Other | ) |

StepElement_MeasureOrUnspecifiedValue& StepElement_Array1OfMeasureOrUnspecifiedValue::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void StepElement_Array1OfMeasureOrUnspecifiedValue::Destroy | ( |  | ) |

Standard_EXPORT void StepElement_Array1OfMeasureOrUnspecifiedValue::Init | ( | const StepElement_MeasureOrUnspecifiedValue & | V | ) |

Standard_Boolean StepElement_Array1OfMeasureOrUnspecifiedValue::IsAllocated | ( |  | ) | const

Standard_Integer StepElement_Array1OfMeasureOrUnspecifiedValue::Length | ( |  | ) | const

Standard_Integer StepElement_Array1OfMeasureOrUnspecifiedValue::Lower | ( |  | ) | const

void StepElement_Array1OfMeasureOrUnspecifiedValue::operator delete | ( | void * | anAddress | ) | `[inline]`

void* StepElement_Array1OfMeasureOrUnspecifiedValue::operator new | ( | size_t | size | ) | `[inline]`

void* StepElement_Array1OfMeasureOrUnspecifiedValue::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

StepElement_MeasureOrUnspecifiedValue& StepElement_Array1OfMeasureOrUnspecifiedValue::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const StepElement_MeasureOrUnspecifiedValue& StepElement_Array1OfMeasureOrUnspecifiedValue::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const StepElement_Array1OfMeasureOrUnspecifiedValue& StepElement_Array1OfMeasureOrUnspecifiedValue::operator= | ( | const StepElement_Array1OfMeasureOrUnspecifiedValue & | Other | ) | `[inline]`

void StepElement_Array1OfMeasureOrUnspecifiedValue::SetValue | ( | const Standard_Integer | Index,
|  | const StepElement_MeasureOrUnspecifiedValue & | Value
| ) |

Standard_Integer StepElement_Array1OfMeasureOrUnspecifiedValue::Upper | ( |  | ) | const

const StepElement_MeasureOrUnspecifiedValue& StepElement_Array1OfMeasureOrUnspecifiedValue::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Standard_Boolean StepElement_Array1OfMeasureOrUnspecifiedValue::isAllocated `[private]`

Standard_Integer StepElement_Array1OfMeasureOrUnspecifiedValue::myLowerBound `[private]`

Standard_Address StepElement_Array1OfMeasureOrUnspecifiedValue::myStart `[private]`

Standard_Integer StepElement_Array1OfMeasureOrUnspecifiedValue::myUpperBound `[private]`

The documentation for this class was generated from the following file:

- StepElement_Array1OfMeasureOrUnspecifiedValue.hxx